## org.eclipse.emf.codegen.merge.java.facade
Interface NodeConverter

All Known Implementing Classes:
  ASTNodeConverter

    public interface NodeConverter

Converts one node to another node type.

Method Summary
`JAbstractType` `convert(JAbstractType abstractType, java.lang.Class<? extends JAbstractType> cls)` Converts the specified abstract type to an instance of the given class and returns the converted node.

Method Detail

### convert

    JAbstractType convert(JAbstractType abstractType,
                          java.lang.Class<? extends JAbstractType> cls)

  Converts the specified abstract type to an instance of the given class and returns the converted node. Original node must be removed from the tree, and returned node inserted in its place. All children of the removed node may be moved to the converted node if needed.

  Parameters:
    `abstractType` - type to convert
    `cls` - class of the converted node
  Returns:
    converted node

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.